Event::addTimer
Event::del
Event
PHP Manual

# Event::__construct

Constructs Event object

### Description

public Event::__construct ( EventBase `$base` , mixed `$fd` , int `$what` , callable `$cb` [, mixed `$arg` = NULL ] )

Constructs Event object.

### Parameters

`base`

  The event base to associate with.

`fd`

  stream resource, socket resource, or numeric file descriptor. For timer events pass `-1` . For signal events pass the signal number, e.g. `SIGHUP` .

`what`

  Event flags. See Event flags .

`cb`

  The event callback. See Event callbacks .

`arg`

  Custom data. If specified, it will be passed to the callback when event triggers.

### Return Values

Returns Event object.

### See Also

- Event::signal
- Event::timer